Summary: Advanced program for adjusting soundcard mixers. 
Name: umix
Version: 0.8.1
Release: 1
Copyright: GPL
Group: Applications/Multimedia
Source: http://www.ionstream.fi/sakari/umix/umix-0.8.1.tar.gz
Prefix: %{_prefix}
BuildRoot: /var/tmp/%{name}-root

%description
Umix is an advanced program for adjusting soundcard volumes and other
features in soundcard mixers. You can control your volumes, balances and
recording sources flexibly from the command line or with a fullscreen
interactive user interface with familiar vi/emacs keybindings. 
Umix supports multiple mixer devices  and all mixer drivers and UI's are
dynamically loaded at runtime as plugins. All settings can be saved and loaded
from a file.

%prep
%setup -q

%build
./configure --prefix=%{_prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/bin
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/man/man1
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/lib/umix

make prefix=$RPM_BUILD_ROOT%{_prefix} sysconfdir=$RPM_BUILD_ROOT/etc install

strip $RPM_BUILD_ROOT/%{_prefix}/bin/umix
strip $RPM_BUILD_ROOT/%{_prefix}/lib/umix/lib*.so
strip $RPM_BUILD_ROOT/%{_prefix}/lib/umix/lib*.a

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README TODO
%{_prefix}/bin/umix
%{_prefix}/man/man1/umix.1*
%{_prefix}/lib/umix/lib*

%changelog
* Tue Nov 13 2001 Sakari Lehtonen <sakari@ionstream.fi>
- New upstream version 0.8.1
* Mon Nov 05 2001 Sakari Lehtonen <sakari@ionstream.fi>
- New upstream version 0.8.0
* Sat Jul 21 2001 Sakari Lehtonen <sakari@ionstream.fi>
- New upstream version 0.7.2
* Wed Jun 23 2001 Sakari Lehtonen <sakari@ionstream.fi>
- New upstream version 0.7.1
* Tue Jun 08 2001 Sakari Lehtonen <sakari@ionstream.fi>
- New upstream version 0.7.0
- Changed description and installing of libraries
* Mon Mar 19 2001 Sakari Lehtonen <sakari@ionstream.fi>
- New upstream version 0.6.0
* Thu Mar 08 2001 Sakari Lehtonen <sakari@ionstream.fi>
- New upstream version 0.5.1
* Mon Feb 19 2001 Sakari Lehtonen <sakari@ionstream.fi>
- New upstream version 0.5
* Sun Jan 28 2001 Sakari Lehtonen <sakari@ionstream.fi>
- New upstream version 0.4
* Tue Jan 23 2001 Sakari Lehtonen <sakari@ionstream.fi>
- New upstream version 0.3
* Mon Jan 08 2001 Sakari Lehtonen <sakari@ionstream.fi>
- Initial RPM package
