/*
 * ui.h: 
 * User interface headers.
 *
 * Copyright (C) 2001 Sakari Lehtonen <sakari@ionstream.fi>
 *
 */

#ifndef UMIX_UI_H
#define UMIX_UI_H

/* types of UI */
enum
{
	UI_TEXT,
	UI_X
};

typedef struct ui_plugin ui_plugin;
struct ui_plugin
{
	int (*ui_main)(void);
	void (*ui_deinit)(void);
};

int ui_init(const char *uiname);

#endif /* UMIX_UI_H */
